# LogLevel Class Reference
[Various accompanying utilities]

Inheritance diagram for LogLevel:
[legend]

List of all members.

## Public Member Functions

| setId ($id)

## Static Public Member Functions

static | severe ()
static | warning ()
static | info ()
static | config ()
static | fine ()
static | finer ()
static | finest ()

## Public Attributes

const | SEVERE = 1
const | WARNING = 2
const | INFO = 3
const | CONFIG = 4
const | FINE = 5
const | FINER = 6
const | FINEST = 7

## Protected Attributes

| $names

## Static Private Member Functions

static | getInstance ($id)

## Detailed Description

Definition at line 15 of file LogLevel.class.php.

## Member Function Documentation

static LogLevel::config | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 72 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::config().

Here is the call graph for this function:

static LogLevel::fine | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 80 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::fine().

Here is the call graph for this function:

static LogLevel::finer | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 88 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::finer().

Here is the call graph for this function:

static LogLevel::finest | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 96 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::finest().

Here is the call graph for this function:

static LogLevel::getInstance | ( | $ | id | ) | `[static, private]`

Returns:
  LogLevel

Definition at line 104 of file LogLevel.class.php.

References IdentifiableObject::$id.

Referenced by config(), fine(), finer(), finest(), info(), severe(), and warning().

static LogLevel::info | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 64 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::info().

Here is the call graph for this function:

LogLevel::setId | ( | $ | id | ) |

Returns:
  LogLevel

Reimplemented from Enumeration.

Definition at line 38 of file LogLevel.class.php.

References IdentifiableObject::$id, and Assert::isNull().

Here is the call graph for this function:

static LogLevel::severe | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 48 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::severe().

Here is the call graph for this function:

static LogLevel::warning | ( |  | ) | `[static]`

Returns:
  LogLevel

Definition at line 56 of file LogLevel.class.php.

References getInstance().

Referenced by BaseLogger::warning().

Here is the call graph for this function:

## Member Data Documentation

LogLevel::$names`[protected]`

Initial value:

     array(
                self::SEVERE    => 'severe',
                self::WARNING   => 'warning',
                self::INFO      => 'info',
                self::CONFIG    => 'config',
                self::FINE      => 'fine',
                self::FINER     => 'finer',
                self::FINEST    => 'finest'
            )

Reimplemented from Enumeration.

Definition at line 25 of file LogLevel.class.php.

const LogLevel::CONFIG = 4

Definition at line 20 of file LogLevel.class.php.

const LogLevel::FINE = 5

Definition at line 21 of file LogLevel.class.php.

const LogLevel::FINER = 6

Definition at line 22 of file LogLevel.class.php.

const LogLevel::FINEST = 7

Definition at line 23 of file LogLevel.class.php.

const LogLevel::INFO = 3

Definition at line 19 of file LogLevel.class.php.

const LogLevel::SEVERE = 1

Definition at line 17 of file LogLevel.class.php.

const LogLevel::WARNING = 2

Definition at line 18 of file LogLevel.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Logging/LogLevel.class.php